List named credentials
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/namedCredentials
Gives list of NamedCredential with a given criteria. Returns the first page of results ordered by name (ascending) by default.
Request
Query Parameters
-
authenticatingTargetTypeName: string
Name of the Authenticating target type of the named credentialExample:
host -
includeTotal: boolean
whether total number of results shall be returned.Example:
true -
limit: integer
Minimum Value:
1Maximum Value:2000Number of Named credentials to be fetchedDefault Value:20Example:20 -
name: string
Credential nameExample:
CREDNAME1 -
nameContains: string
Credential name pattern to be filteredExample:
CREDNAM -
owner: string
Credential ownerExample:
SYSMAN -
page: string
system generated page token used in the self, next and previous links.
-
scope: string
Scope of the Named Credential. i.e. GLOBAL or INSTANCEExample:
GLOBAL -
sort: string
the order of the result set with direction. Allowed sort fields are name, owner, targetType. Allowed directions are ASC and DESC. To sort more than one field, provide comma separated values like field1:direction1,field2:direction2Example:
type:ASC,name:DESC -
targetName: string
target name of the named credentialExample:
host.oracle.com -
targetNameContains: string
target name of the named credential to be filteredExample:
myhostname -
targetTypeName: string
Name of the target type of the named credentialExample:
host -
targetUsername: string
Username of the targetExample:
root -
targetUsernameContains: string
Username of the target to be filteredExample:
SYS
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
List of named credentials returned successfully
Root Schema : NamedCredentialCollection
Type:
objectThis is the representation of list of Named credentials.
Show Source
-
count(required): integer
the number of Named credentials in this pageExample:
20 -
items(required): array
items
the Named credentials list
-
links(required): object
links
Read Only:
truethe result set navigation links -
total: integer
Total number of items that are available (for all the pages)Example:
101
Nested Schema : items
Type:
arraythe Named credentials list
Show Source
-
Array of:
object NamedCredentialSummary
Schema object for Named Credential information used to return a list
Nested Schema : NamedCredentialSummary
Type:
objectSchema object for Named Credential information used to return a list
Show Source
-
id: string
Unique identifier for a named credentialExample:
B0FBBE587FD201E2E0537013790A7D03 -
link: object
link
the named credential related link
Match All
Schema object for Named Credential information used to return a list
Show Source
-
object
NamedCredentialCommon
Common properties for a Named Credential
Nested Schema : NamedCredentialCommon
Type:
objectCommon properties for a Named Credential
Show Source
-
authenticatingTargetTypeName(required): string
Name of the Authenticating target type of the named credentialExample:
host -
description: string
Description for a named credentialExample:
Named credential for SYSMAN user hosts -
name(required): string
Name for a named credentialExample:
NAMEDCRED1 -
owner: string
User owner of the named credentialExample:
SYSMAN -
scope(required): string
Named credential scopeExample:
INSTANCE -
targetName: string
Target instance name for which named credential is authenticated toExample:
host.us.oracle.com -
targetTypeName: string
Name of the target typeExample:
host -
targetUsername: string
Username of the targetExample:
root -
type(required): string
Named Credential typeExample:
HostCreds
Examples
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
401 Response
Client is not authenticated
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
404 Response
Resource not found or not authorized for access
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
503 Response
Indicates that a required service is not available
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description